diff -c -r +new-file ChangeLog ChangeLog
*** ChangeLog	Mon Apr 24 18:05:40 1995
--- ChangeLog	Wed Apr 26 15:23:51 1995
***************
*** 1,6 ****
--- 1,12 ----
  			SWI-Prolog ChangeLog
  			====================
  
+ Version 2.0.9
+ =============
+ 
+   * FIXED: generation of include/SWI-Exports, the AIX export declaration
+     file.
+ 
  Version 2.0.8
  =============
  
diff -c -r +new-file INSTALL.notes INSTALL.notes
*** INSTALL.notes	Fri Feb 24 13:26:48 1995
--- INSTALL.notes	Wed Apr 26 15:23:52 1995
***************
*** 66,72 ****
  SWI-Prolog provided 3) on these machines, 4) is not included by default.
  If you want dlopen() and friends, configure using
  
! 	./configure --with-dlopen
  
  # Saved states (save/[1,2], save_program/[1,2])
  
--- 66,72 ----
  SWI-Prolog provided 3) on these machines, 4) is not included by default.
  If you want dlopen() and friends, configure using
  
! 	./configure --with-shared
  
  # Saved states (save/[1,2], save_program/[1,2])
  
diff -c -r +new-file PORTING PORTING
*** PORTING	Fri Nov  4 15:17:09 1994
--- PORTING	Wed Apr 26 15:23:53 1995
***************
*** 65,70 ****
--- 65,77 ----
  WORKING ON A SMALL PROGRAM
  ==========================
  
+ [skip this, it is out of date, and doesn't work anymore.  Debug using
+ 
+  ./pl -d <n> -b ../boot/init.pl
+ 
+  where <n> is the debugging level to be used.
+ ]
+ 
  If  you are   very lucky  the   system will  compile and perform   the
  bootstrap compilation in one go.  Normally you are not.  On how to get
  it through the C compiler, you  are on your  own.  If  the system does
diff -c -r +new-file README.graphics README.graphics
*** README.graphics	Thu Jul 22 10:27:19 1993
--- README.graphics	Wed Apr 26 15:23:54 1995
***************
*** 4,6 ****
--- 4,10 ----
  LispWorks.  Documentation is avaliable  using   ftp  to  swi.psy.uva.nl,
  directory pub/xpce.  There is a binary   of XPCE/SWI-Prolog for PC/Linux
  in pub/xpce/linux.
+ 
+ See
+ 
+ 	http://www.swi.psy.uva.nl/projects/xpce/home.html
diff -c -r +new-file README.linux README.linux
*** README.linux	Mon Jun 28 15:08:08 1993
--- README.linux
***************
*** 1,11 ****
- 			SWI-Prolog on LINUX
- 
- This  file  used  to  hold an  enthousiastic  mail from   Phil Perucci
- (dsc3pzp@nmrdc1.nmrdc.nnmc.navy.mil) describing  his linux    port  of
- version 1.6.9.  The current version  is fully integrated and  requires
- no additional README ... except for the GNU readline library.
- 
- This library  isn't  out for long  and the  official   GNU version 1.1
- compiles fine on Linux but runs lousy :-(.  There  is a decent version
- of this library in /pub/linux/lib/librl-1.1.tar.Z.
- 
--- 0 ----
diff -c -r +new-file README.unix README.unix
*** README.unix
--- README.unix	Wed Apr 26 15:23:55 1995
***************
*** 0 ****
--- 1,85 ----
+ Summary of reported installation problems on various Unix brands:
+ 
+ sparc-sunos5.x
+ ==============
+     save/1 is not detected to work.  The problem is reported to be
+     related to the readline library.  Unclear and not settled.
+ 
+ i386-linux
+ ==========
+     load_foreign/2 works, but loading things with (big) libraries often
+     gives problems.  I'm desperately waiting for ELF to become available
+     at some scale.  For now, use the static linking schema described in
+     the manual.
+ 
+ sgi-irix5.3
+ ===========
+     When configured with --enable-dlopen, HAVE_DLOPEN in config.h is
+     left undefined, while configure claims to find dlopen().  Just
+     change the line to #define HAVE_DLOPEN 1 and all works fine.
+     Probably caused by a bug in autoconf or a bug in the sh shell.
+ 
+     Requires pl-2.0.9 or later or the patch below applied:
+ 
+ ===================================================================
+ RCS file: /staff/jan/CVS/pl/src/pl-incl.h,v
+ retrieving revision 1.42
+ diff -c -r1.42 pl-incl.h
+ *** 1.42        1995/04/21 09:08:20
+ --- pl-incl.h   1995/04/26 10:10:58
+ ***************
+ *** 857,863 ****
+   #    ifdef DATA_AT_0X2
+   #      define PTR_TO_NUM_OFFSET         0x20000000L
+   #    else
+ ! #      ifdef DATA_AT_OX1
+   #        define PTR_TO_NUM_OFFSET 0x10000000L
+   #      else
+   #        define PTR_TO_NUM_OFFSET 0x0L
+ --- 857,863 ----
+   #    ifdef DATA_AT_0X2
+   #      define PTR_TO_NUM_OFFSET         0x20000000L
+   #    else
+ ! #      ifdef DATA_AT_0X1
+   #        define PTR_TO_NUM_OFFSET 0x10000000L
+   #      else
+   #        define PTR_TO_NUM_OFFSET 0x0L
+ 
+ hppa1.1-hpux9.01 (uname -a --> HP-UX jupiter A.09.01 E 9000/720)
+ ================================================================
+   * Configure gets MMAP_MAX_ADDRESS wrong.  Problem diagnoses as
+     `illegal clause' during the boot compilation.  Make sure
+     the following definition appears in config.h or get pl-2.0.9
+ 
+     #define MMAP_MAX_ADDRESS 0x50000000L
+ 
+   * HPUX make is broken for creation of the runtime system.  Use
+     GNU-make or create the ../runtime/<architecture> directory by
+     hand.
+ 
+   * Added shared library interface, but it is not complete.  It appears
+     you need to export the symbols from the main executable, but I don't
+     know how (or maybe this is a gcc 2.5.8 problem as this version
+     doesn't support shared libraries).  A HPUX guru?
+ 
+   * Got the following from Sam Nelson, Comp Sci, Stirling U, FK9 4LA, Scotland
+ 
+     I spent a while playing with versions of GCC and pl-2.0.6 yesterday.
+     I'm offering HP CPU time to a group at Glasgow at present who are
+     building an HP version of the Haskell FP language, and they're
+     _very_ picky about exactly what version of GCC is in use.  It
+     appears that, while pl-2.0.6 builds successfully with GCC-2.5.8, the
+     `out-of-the-box' versions of both GCC-2.6.0 and 2.6.3 cause problems
+     (extremely subtle-looking warnings are generated by the assembler in
+     several places).  However, `fixed' versions of GCC are generated by
+     a group at the university of Utah (which is where the Haskell group
+     likes its HP GCC versions to come from) and the latest version,
+     2.6.3u9, from `jaguar.cs.utah.edu:dist/hpuxbin.tar.Z' builds
+     pl-2.0.6 successfully.
+ 
+     Just thought you might like to know.  If there are any other
+     HP-oriented experiments you'd like me to try out, please let me
+     know.  I think the Prolog staff users around here are as relieved as
+     I am at the prospect of being able to throw away C-Prolog after all
+     these years...!
+ 
diff -c -r +new-file STAMP STAMP
*** STAMP	Tue Apr 25 17:30:33 1995
--- STAMP	Wed Apr 26 15:36:55 1995
***************
*** 1 ****
! Tue Apr 25 17:29:34 MET DST 1995
--- 1 ----
! Wed Apr 26 15:36:10 MET DST 1995
diff -c -r +new-file VERSION VERSION
*** VERSION	Mon Apr 24 18:05:41 1995
--- VERSION	Wed Apr 26 15:23:55 1995
***************
*** 1 ****
! 2.0.8
--- 1 ----
! 2.0.9
diff -c -r +new-file src/Makefile src/Makefile
*** src/Makefile	Tue Apr 25 14:52:05 1995
--- src/Makefile	Wed Apr 26 15:30:00 1995
***************
*** 1,7 ****
  # Generated automatically from Makefile.in by configure.
  ################################################################
  # Makefile for SWI-Prolog 1.9
! # Makefile,v 1.53 1995/04/25 12:52:05 jan Exp
  #
  # Author:	Jan Wielemaker
  #		jan@swi.psy.uva.nl
--- 1,7 ----
  # Generated automatically from Makefile.in by configure.
  ################################################################
  # Makefile for SWI-Prolog 1.9
! # Makefile,v 1.54 1995/04/26 13:30:00 jan Exp
  #
  # Author:	Jan Wielemaker
  #		jan@swi.psy.uva.nl
***************
*** 15,21 ****
  #
  ################################################################
  
! PLVERSION=2.0.8
  
  PL=pl
  prefix=/staff/jan
--- 15,21 ----
  #
  ################################################################
  
! PLVERSION=2.0.9
  
  PL=pl
  prefix=/staff/jan
***************
*** 26,32 ****
  mandir=$(prefix)/man/man$(mansec)
  
  CC=gcc
! LIBS= -lreadline -ltermcap -lm -ldl
  STATICLIBS=/usr/lib/libc.a
  AWK=nawk
  SED=sed
--- 26,32 ----
  mandir=$(prefix)/man/man$(mansec)
  
  CC=gcc
! LIBS= -lreadline -ltermcap -lm -ldl -ldl
  STATICLIBS=/usr/lib/libc.a
  AWK=nawk
  SED=sed
***************
*** 113,121 ****
  $(INCLUDEDIR):
  		if [ ! -d $@ ]; then mkdir $@; fi
  
! $(EXPORTS):	Makefile pl-export $(INCLUDEDIR)
  		echo \#\!$(bindir)/$(PL) > $(EXPORTS)
! 		cat pl-export >> $(EXPORTS)
  
  $(CINCLUDE):	pl-itf.h $(INCLUDEDIR)
  		cp pl-itf.h $(CINCLUDE)
--- 113,124 ----
  $(INCLUDEDIR):
  		if [ ! -d $@ ]; then mkdir $@; fi
  
! $(EXPORTS):	Makefile pl-itf.h $(INCLUDEDIR)
  		echo \#\!$(bindir)/$(PL) > $(EXPORTS)
! 		grep '^__pl_export' pl-itf.h | \
! 			$(SED) 's/.*\(PL_[a-zA-Z0-9_]*\).*/\1/' | \
! 			grep -v '_t$$' | \
! 			sort -u >> $(EXPORTS)
  
  $(CINCLUDE):	pl-itf.h $(INCLUDEDIR)
  		cp pl-itf.h $(CINCLUDE)
diff -c -r +new-file src/Makefile.in src/Makefile.in
*** src/Makefile.in	Tue Apr 25 14:52:06 1995
--- src/Makefile.in	Wed Apr 26 15:30:01 1995
***************
*** 1,6 ****
  ################################################################
  # Makefile for SWI-Prolog 1.9
! # Makefile.in,v 1.21 1995/04/25 12:52:06 jan Exp
  #
  # Author:	Jan Wielemaker
  #		jan@swi.psy.uva.nl
--- 1,6 ----
  ################################################################
  # Makefile for SWI-Prolog 1.9
! # Makefile.in,v 1.22 1995/04/26 13:30:01 jan Exp
  #
  # Author:	Jan Wielemaker
  #		jan@swi.psy.uva.nl
***************
*** 112,120 ****
  $(INCLUDEDIR):
  		if [ ! -d $@ ]; then mkdir $@; fi
  
! $(EXPORTS):	Makefile pl-export $(INCLUDEDIR)
  		echo \#\!$(bindir)/$(PL) > $(EXPORTS)
! 		cat pl-export >> $(EXPORTS)
  
  $(CINCLUDE):	pl-itf.h $(INCLUDEDIR)
  		cp pl-itf.h $(CINCLUDE)
--- 112,123 ----
  $(INCLUDEDIR):
  		if [ ! -d $@ ]; then mkdir $@; fi
  
! $(EXPORTS):	Makefile pl-itf.h $(INCLUDEDIR)
  		echo \#\!$(bindir)/$(PL) > $(EXPORTS)
! 		grep '^__pl_export' pl-itf.h | \
! 			$(SED) 's/.*\(PL_[a-zA-Z0-9_]*\).*/\1/' | \
! 			grep -v '_t$$' | \
! 			sort -u >> $(EXPORTS)
  
  $(CINCLUDE):	pl-itf.h $(INCLUDEDIR)
  		cp pl-itf.h $(CINCLUDE)
diff -c -r +new-file src/config.h src/config.h
*** src/config.h	Tue Apr 25 14:52:07 1995
--- src/config.h	Wed Apr 26 15:30:03 1995
***************
*** 191,196 ****
--- 191,199 ----
  /* Define if you have the select function.  */
  #define HAVE_SELECT 1
  
+ /* Define if you have the shl_load function.  */
+ /* #undef HAVE_SHL_LOAD */
+ 
  /* Define if you have the signal function.  */
  #define HAVE_SIGNAL 1
  
***************
*** 271,276 ****
--- 274,282 ----
  
  /* Define if you have the dl library (-ldl).  */
  #define HAVE_LIBDL 1
+ 
+ /* Define if you have the dld library (-ldld).  */
+ /* #undef HAVE_LIBDLD */
  
  /* Define if you have the elf library (-lelf).  */
  /* #undef HAVE_LIBELF */
diff -c -r +new-file src/config.h.in src/config.h.in
*** src/config.h.in	Mon Mar  6 15:57:25 1995
--- src/config.h.in	Wed Apr 26 15:30:04 1995
***************
*** 190,195 ****
--- 190,198 ----
  /* Define if you have the select function.  */
  #undef HAVE_SELECT
  
+ /* Define if you have the shl_load function.  */
+ #undef HAVE_SHL_LOAD
+ 
  /* Define if you have the signal function.  */
  #undef HAVE_SIGNAL
  
***************
*** 270,275 ****
--- 273,281 ----
  
  /* Define if you have the dl library (-ldl).  */
  #undef HAVE_LIBDL
+ 
+ /* Define if you have the dld library (-ldld).  */
+ #undef HAVE_LIBDLD
  
  /* Define if you have the elf library (-lelf).  */
  #undef HAVE_LIBELF
diff -c -r +new-file src/configure src/configure
*** src/configure	Tue Apr 25 14:52:08 1995
--- src/configure	Wed Apr 26 15:30:05 1995
***************
*** 16,21 ****
--- 16,23 ----
  ac_help="$ac_help
    --enable-runtime	  Runtime system only"
  ac_help="$ac_help
+   --enable-shared	  Provide shared-lib interface"
+ ac_help="$ac_help
    --enable-dlopen	  Provide shared-lib interface"
  
  # Initialize some variables set by options.
***************
*** 715,721 ****
    # On the NeXT, cc -E runs the code through the compiler's parser,
    # not just through cpp.
    cat > conftest.$ac_ext <<EOF
! #line 719 "configure"
  #include "confdefs.h"
  #include <assert.h>
  Syntax Error
--- 717,723 ----
    # On the NeXT, cc -E runs the code through the compiler's parser,
    # not just through cpp.
    cat > conftest.$ac_ext <<EOF
! #line 721 "configure"
  #include "confdefs.h"
  #include <assert.h>
  Syntax Error
***************
*** 729,735 ****
    rm -rf conftest*
    CPP="${CC-cc} -E -traditional-cpp"
    cat > conftest.$ac_ext <<EOF
! #line 733 "configure"
  #include "confdefs.h"
  #include <assert.h>
  Syntax Error
--- 731,737 ----
    rm -rf conftest*
    CPP="${CC-cc} -E -traditional-cpp"
    cat > conftest.$ac_ext <<EOF
! #line 735 "configure"
  #include "confdefs.h"
  #include <assert.h>
  Syntax Error
***************
*** 781,787 ****
    ac_cv_cross=yes
  else
  cat > conftest.$ac_ext <<EOF
! #line 785 "configure"
  #include "confdefs.h"
  main(){return(0);}
  EOF
--- 783,789 ----
    ac_cv_cross=yes
  else
  cat > conftest.$ac_ext <<EOF
! #line 787 "configure"
  #include "confdefs.h"
  main(){return(0);}
  EOF
***************
*** 802,808 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 806 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  #include <stdarg.h>
--- 804,810 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 808 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  #include <stdarg.h>
***************
*** 824,830 ****
  if test $ac_cv_header_stdc = yes; then
    # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
  cat > conftest.$ac_ext <<EOF
! #line 828 "configure"
  #include "confdefs.h"
  #include <string.h>
  EOF
--- 826,832 ----
  if test $ac_cv_header_stdc = yes; then
    # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
  cat > conftest.$ac_ext <<EOF
! #line 830 "configure"
  #include "confdefs.h"
  #include <string.h>
  EOF
***************
*** 842,848 ****
  if test $ac_cv_header_stdc = yes; then
    # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
  cat > conftest.$ac_ext <<EOF
! #line 846 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  EOF
--- 844,850 ----
  if test $ac_cv_header_stdc = yes; then
    # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
  cat > conftest.$ac_ext <<EOF
! #line 848 "configure"
  #include "confdefs.h"
  #include <stdlib.h>
  EOF
***************
*** 863,869 ****
    ac_cv_header_stdc=no
  else
  cat > conftest.$ac_ext <<EOF
! #line 867 "configure"
  #include "confdefs.h"
  #include <ctype.h>
  #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
--- 865,871 ----
    ac_cv_header_stdc=no
  else
  cat > conftest.$ac_ext <<EOF
! #line 869 "configure"
  #include "confdefs.h"
  #include <ctype.h>
  #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
***************
*** 912,918 ****
  else
    if test "$GCC" = yes; then
  cat > conftest.$ac_ext <<EOF
! #line 916 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
--- 914,920 ----
  else
    if test "$GCC" = yes; then
  cat > conftest.$ac_ext <<EOF
! #line 918 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
***************
*** 949,955 ****
      { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
  else
  cat > conftest.$ac_ext <<EOF
! #line 953 "configure"
  #include "confdefs.h"
  main () {
    /* Are we little or big endian?  From Harbison&Steele.  */
--- 951,957 ----
      { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
  else
  cat > conftest.$ac_ext <<EOF
! #line 955 "configure"
  #include "confdefs.h"
  main () {
    /* Are we little or big endian?  From Harbison&Steele.  */
***************
*** 989,995 ****
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -lreadline "
  cat > conftest.$ac_ext <<EOF
! #line 993 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
--- 991,997 ----
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -lreadline "
  cat > conftest.$ac_ext <<EOF
! #line 995 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
***************
*** 1029,1035 ****
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -ltermcap "
  cat > conftest.$ac_ext <<EOF
! #line 1033 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
--- 1031,1037 ----
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -ltermcap "
  cat > conftest.$ac_ext <<EOF
! #line 1035 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
***************
*** 1063,1069 ****
  
  if test "$ac_cv_lib_termcap" = "yes"; then
      cat > conftest.$ac_ext <<EOF
! #line 1067 "configure"
  #include "confdefs.h"
   t(){ tgetent(); }
  		  main(){exit(0);}
--- 1065,1071 ----
  
  if test "$ac_cv_lib_termcap" = "yes"; then
      cat > conftest.$ac_ext <<EOF
! #line 1069 "configure"
  #include "confdefs.h"
   t(){ tgetent(); }
  		  main(){exit(0);}
***************
*** 1082,1088 ****
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -lucb "
  cat > conftest.$ac_ext <<EOF
! #line 1086 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
--- 1084,1090 ----
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -lucb "
  cat > conftest.$ac_ext <<EOF
! #line 1088 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
***************
*** 1125,1131 ****
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -lelf "
  cat > conftest.$ac_ext <<EOF
! #line 1129 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
--- 1127,1133 ----
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -lelf "
  cat > conftest.$ac_ext <<EOF
! #line 1131 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
***************
*** 1164,1170 ****
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -lm "
  cat > conftest.$ac_ext <<EOF
! #line 1168 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
--- 1166,1172 ----
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -lm "
  cat > conftest.$ac_ext <<EOF
! #line 1170 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
***************
*** 1207,1213 ****
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -ldl "
  cat > conftest.$ac_ext <<EOF
! #line 1211 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
--- 1209,1215 ----
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -ldl "
  cat > conftest.$ac_ext <<EOF
! #line 1213 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
***************
*** 1239,1244 ****
--- 1241,1468 ----
    echo "$ac_t""no" 1>&4
  fi
  
+ 	          echo $ac_n "checking for -ldld""... $ac_c" 1>&4
+ if eval "test \"`echo '${'ac_cv_lib_dld'+set}'`\" = set"; then
+   echo $ac_n "(cached) $ac_c" 1>&4
+ else
+   ac_save_LIBS="$LIBS"
+ LIBS="$LIBS -ldld "
+ cat > conftest.$ac_ext <<EOF
+ #line 1252 "configure"
+ #include "confdefs.h"
+ 
+ int main() { return 0; }
+ int t() {
+ shl_load()
+ ; return 0; }
+ EOF
+ if eval $ac_link; then
+   rm -rf conftest*
+   eval "ac_cv_lib_dld=yes"
+ else
+   rm -rf conftest*
+   eval "ac_cv_lib_dld=no"
+ fi
+ rm -f conftest*
+ LIBS="$ac_save_LIBS"
+ 
+ fi
+ if eval "test \"`echo '$ac_cv_lib_'dld`\" = yes"; then
+   echo "$ac_t""yes" 1>&4
+     ac_tr_lib=HAVE_LIB`echo dld | tr 'a-z' 'A-Z'`
+   cat >> confdefs.h <<EOF
+ #define $ac_tr_lib 1
+ EOF
+ 
+   LIBS="$LIBS -ldld"
+ 
+ else
+   echo "$ac_t""no" 1>&4
+ fi
+ 
+ 	          for ac_func in dlopen
+ do
+ echo $ac_n "checking for $ac_func""... $ac_c" 1>&4
+ if eval "test \"`echo '${'ac_cv_func_$ac_func'+set}'`\" = set"; then
+   echo $ac_n "(cached) $ac_c" 1>&4
+ else
+   cat > conftest.$ac_ext <<EOF
+ #line 1291 "configure"
+ #include "confdefs.h"
+ #include <ctype.h> /* Arbitrary system header to define __stub macros. */
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ char $ac_func(); 
+ 
+ int main() { return 0; }
+ int t() {
+ 
+ /* The GNU C library defines this for functions which it implements
+     to always fail with ENOSYS.  Some functions are actually named
+     something starting with __ and the normal name is an alias.  */
+ #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+ choke me
+ #else
+ $ac_func();
+ #endif
+ 
+ ; return 0; }
+ EOF
+ if eval $ac_link; then
+   rm -rf conftest*
+   eval "ac_cv_func_$ac_func=yes"
+ else
+   rm -rf conftest*
+   eval "ac_cv_func_$ac_func=no"
+ fi
+ rm -f conftest*
+ 
+ fi
+ if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
+   echo "$ac_t""yes" 1>&4
+     ac_tr_func=HAVE_`echo $ac_func | tr 'a-z' 'A-Z'`
+   cat >> confdefs.h <<EOF
+ #define $ac_tr_func 1
+ EOF
+  
+ else
+   echo "$ac_t""no" 1>&4
+ fi
+ done
+ 
+ 		  for ac_func in shl_load
+ do
+ echo $ac_n "checking for $ac_func""... $ac_c" 1>&4
+ if eval "test \"`echo '${'ac_cv_func_$ac_func'+set}'`\" = set"; then
+   echo $ac_n "(cached) $ac_c" 1>&4
+ else
+   cat > conftest.$ac_ext <<EOF
+ #line 1340 "configure"
+ #include "confdefs.h"
+ #include <ctype.h> /* Arbitrary system header to define __stub macros. */
+ /* Override any gcc2 internal prototype to avoid an error.  */
+ char $ac_func(); 
+ 
+ int main() { return 0; }
+ int t() {
+ 
+ /* The GNU C library defines this for functions which it implements
+     to always fail with ENOSYS.  Some functions are actually named
+     something starting with __ and the normal name is an alias.  */
+ #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
+ choke me
+ #else
+ $ac_func();
+ #endif
+ 
+ ; return 0; }
+ EOF
+ if eval $ac_link; then
+   rm -rf conftest*
+   eval "ac_cv_func_$ac_func=yes"
+ else
+   rm -rf conftest*
+   eval "ac_cv_func_$ac_func=no"
+ fi
+ rm -f conftest*
+ 
+ fi
+ if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
+   echo "$ac_t""yes" 1>&4
+     ac_tr_func=HAVE_`echo $ac_func | tr 'a-z' 'A-Z'`
+   cat >> confdefs.h <<EOF
+ #define $ac_tr_func 1
+ EOF
+  
+ else
+   echo "$ac_t""no" 1>&4
+ fi
+ done
+ 
+ 	      fi
+ fi
+ 
+ # Check whether --enable-dlopen or --disable-dlopen was given.
+ enableval="$enable_dlopen"
+ if test -n "$enableval"; then
+   if test "$enableval" = "yes"; then
+ 		  echo $ac_n "checking for -ldl""... $ac_c" 1>&4
+ if eval "test \"`echo '${'ac_cv_lib_dl'+set}'`\" = set"; then
+   echo $ac_n "(cached) $ac_c" 1>&4
+ else
+   ac_save_LIBS="$LIBS"
+ LIBS="$LIBS -ldl "
+ cat > conftest.$ac_ext <<EOF
+ #line 1396 "configure"
+ #include "confdefs.h"
+ 
+ int main() { return 0; }
+ int t() {
+ dlopen()
+ ; return 0; }
+ EOF
+ if eval $ac_link; then
+   rm -rf conftest*
+   eval "ac_cv_lib_dl=yes"
+ else
+   rm -rf conftest*
+   eval "ac_cv_lib_dl=no"
+ fi
+ rm -f conftest*
+ LIBS="$ac_save_LIBS"
+ 
+ fi
+ if eval "test \"`echo '$ac_cv_lib_'dl`\" = yes"; then
+   echo "$ac_t""yes" 1>&4
+     ac_tr_lib=HAVE_LIB`echo dl | tr 'a-z' 'A-Z'`
+   cat >> confdefs.h <<EOF
+ #define $ac_tr_lib 1
+ EOF
+ 
+   LIBS="$LIBS -ldl"
+ 
+ else
+   echo "$ac_t""no" 1>&4
+ fi
+ 
+ 	          echo $ac_n "checking for -ldld""... $ac_c" 1>&4
+ if eval "test \"`echo '${'ac_cv_lib_dld'+set}'`\" = set"; then
+   echo $ac_n "(cached) $ac_c" 1>&4
+ else
+   ac_save_LIBS="$LIBS"
+ LIBS="$LIBS -ldld "
+ cat > conftest.$ac_ext <<EOF
+ #line 1435 "configure"
+ #include "confdefs.h"
+ 
+ int main() { return 0; }
+ int t() {
+ shl_load()
+ ; return 0; }
+ EOF
+ if eval $ac_link; then
+   rm -rf conftest*
+   eval "ac_cv_lib_dld=yes"
+ else
+   rm -rf conftest*
+   eval "ac_cv_lib_dld=no"
+ fi
+ rm -f conftest*
+ LIBS="$ac_save_LIBS"
+ 
+ fi
+ if eval "test \"`echo '$ac_cv_lib_'dld`\" = yes"; then
+   echo "$ac_t""yes" 1>&4
+     ac_tr_lib=HAVE_LIB`echo dld | tr 'a-z' 'A-Z'`
+   cat >> confdefs.h <<EOF
+ #define $ac_tr_lib 1
+ EOF
+ 
+   LIBS="$LIBS -ldld"
+ 
+ else
+   echo "$ac_t""no" 1>&4
+ fi
+ 
  	          for ac_func in dlopen
  do
  echo $ac_n "checking for $ac_func""... $ac_c" 1>&4
***************
*** 1246,1252 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1250 "configure"
  #include "confdefs.h"
  #include <ctype.h> /* Arbitrary system header to define __stub macros. */
  /* Override any gcc2 internal prototype to avoid an error.  */
--- 1470,1525 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1474 "configure"
! #include "confdefs.h"
! #include <ctype.h> /* Arbitrary system header to define __stub macros. */
! /* Override any gcc2 internal prototype to avoid an error.  */
! char $ac_func(); 
! 
! int main() { return 0; }
! int t() {
! 
! /* The GNU C library defines this for functions which it implements
!     to always fail with ENOSYS.  Some functions are actually named
!     something starting with __ and the normal name is an alias.  */
! #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
! choke me
! #else
! $ac_func();
! #endif
! 
! ; return 0; }
! EOF
! if eval $ac_link; then
!   rm -rf conftest*
!   eval "ac_cv_func_$ac_func=yes"
! else
!   rm -rf conftest*
!   eval "ac_cv_func_$ac_func=no"
! fi
! rm -f conftest*
! 
! fi
! if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
!   echo "$ac_t""yes" 1>&4
!     ac_tr_func=HAVE_`echo $ac_func | tr 'a-z' 'A-Z'`
!   cat >> confdefs.h <<EOF
! #define $ac_tr_func 1
! EOF
!  
! else
!   echo "$ac_t""no" 1>&4
! fi
! done
! 
! 		  for ac_func in shl_load
! do
! echo $ac_n "checking for $ac_func""... $ac_c" 1>&4
! if eval "test \"`echo '${'ac_cv_func_$ac_func'+set}'`\" = set"; then
!   echo $ac_n "(cached) $ac_c" 1>&4
! else
!   cat > conftest.$ac_ext <<EOF
! #line 1523 "configure"
  #include "confdefs.h"
  #include <ctype.h> /* Arbitrary system header to define __stub macros. */
  /* Override any gcc2 internal prototype to avoid an error.  */
***************
*** 1302,1308 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1306 "configure"
  #include "confdefs.h"
  #include <$ac_hdr>
  EOF
--- 1575,1581 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1579 "configure"
  #include "confdefs.h"
  #include <$ac_hdr>
  EOF
***************
*** 1338,1344 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1342 "configure"
  #include "confdefs.h"
  #include <$ac_hdr>
  EOF
--- 1611,1617 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1615 "configure"
  #include "confdefs.h"
  #include <$ac_hdr>
  EOF
***************
*** 1374,1380 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1378 "configure"
  #include "confdefs.h"
  #include <$ac_hdr>
  EOF
--- 1647,1653 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1651 "configure"
  #include "confdefs.h"
  #include <$ac_hdr>
  EOF
***************
*** 1410,1416 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1414 "configure"
  #include "confdefs.h"
  #include <ctype.h> /* Arbitrary system header to define __stub macros. */
  /* Override any gcc2 internal prototype to avoid an error.  */
--- 1683,1689 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1687 "configure"
  #include "confdefs.h"
  #include <ctype.h> /* Arbitrary system header to define __stub macros. */
  /* Override any gcc2 internal prototype to avoid an error.  */
***************
*** 1459,1465 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1463 "configure"
  #include "confdefs.h"
  #include <ctype.h> /* Arbitrary system header to define __stub macros. */
  /* Override any gcc2 internal prototype to avoid an error.  */
--- 1732,1738 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1736 "configure"
  #include "confdefs.h"
  #include <ctype.h> /* Arbitrary system header to define __stub macros. */
  /* Override any gcc2 internal prototype to avoid an error.  */
***************
*** 1508,1514 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1512 "configure"
  #include "confdefs.h"
  #include <ctype.h> /* Arbitrary system header to define __stub macros. */
  /* Override any gcc2 internal prototype to avoid an error.  */
--- 1781,1787 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1785 "configure"
  #include "confdefs.h"
  #include <ctype.h> /* Arbitrary system header to define __stub macros. */
  /* Override any gcc2 internal prototype to avoid an error.  */
***************
*** 1557,1563 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1561 "configure"
  #include "confdefs.h"
  #include <ctype.h> /* Arbitrary system header to define __stub macros. */
  /* Override any gcc2 internal prototype to avoid an error.  */
--- 1830,1836 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1834 "configure"
  #include "confdefs.h"
  #include <ctype.h> /* Arbitrary system header to define __stub macros. */
  /* Override any gcc2 internal prototype to avoid an error.  */
***************
*** 1606,1612 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1610 "configure"
  #include "confdefs.h"
  #include <ctype.h> /* Arbitrary system header to define __stub macros. */
  /* Override any gcc2 internal prototype to avoid an error.  */
--- 1879,1885 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1883 "configure"
  #include "confdefs.h"
  #include <ctype.h> /* Arbitrary system header to define __stub macros. */
  /* Override any gcc2 internal prototype to avoid an error.  */
***************
*** 1653,1659 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1657 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <sys/time.h>
--- 1926,1932 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1930 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <sys/time.h>
***************
*** 1690,1696 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1694 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <$ac_hdr>
--- 1963,1969 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1967 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <$ac_hdr>
***************
*** 1729,1735 ****
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -ldir "
  cat > conftest.$ac_ext <<EOF
! #line 1733 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
--- 2002,2008 ----
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -ldir "
  cat > conftest.$ac_ext <<EOF
! #line 2006 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
***************
*** 1763,1769 ****
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -lx "
  cat > conftest.$ac_ext <<EOF
! #line 1767 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
--- 2036,2042 ----
    ac_save_LIBS="$LIBS"
  LIBS="$LIBS -lx "
  cat > conftest.$ac_ext <<EOF
! #line 2040 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
***************
*** 1796,1802 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1800 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <sys/wait.h>
--- 2069,2075 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 2073 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <sys/wait.h>
***************
*** 1836,1842 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1840 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #if STDC_HEADERS
--- 2109,2115 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 2113 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #if STDC_HEADERS
***************
*** 1867,1873 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1871 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <signal.h>
--- 2140,2146 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 2144 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <signal.h>
***************
*** 1902,1908 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 1906 "configure"
  #include "confdefs.h"
  #include <vfork.h>
  EOF
--- 2175,2181 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 2179 "configure"
  #include "confdefs.h"
  #include <vfork.h>
  EOF
***************
*** 1937,1943 ****
    ac_cv_func_vfork=no
  else
  cat > conftest.$ac_ext <<EOF
! #line 1941 "configure"
  #include "confdefs.h"
  /* Thanks to Paul Eggert for this test.  */
  #include <stdio.h>
--- 2210,2216 ----
    ac_cv_func_vfork=no
  else
  cat > conftest.$ac_ext <<EOF
! #line 2214 "configure"
  #include "confdefs.h"
  /* Thanks to Paul Eggert for this test.  */
  #include <stdio.h>
***************
*** 2069,2075 ****
      CFLAGS="$CFLAGS -Werror"
  fi
  cat > conftest.$ac_ext <<EOF
! #line 2073 "configure"
  #include "confdefs.h"
  
  #include <stdio.h>
--- 2342,2348 ----
      CFLAGS="$CFLAGS -Werror"
  fi
  cat > conftest.$ac_ext <<EOF
! #line 2346 "configure"
  #include "confdefs.h"
  
  #include <stdio.h>
***************
*** 2100,2106 ****
  
  echo $ac_n "checking "for type uchar"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2104 "configure"
  #include "confdefs.h"
  
  #include <sys/types.h>
--- 2373,2379 ----
  
  echo $ac_n "checking "for type uchar"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2377 "configure"
  #include "confdefs.h"
  
  #include <sys/types.h>
***************
*** 2127,2133 ****
  
  echo $ac_n "checking "whether we need extern int errno"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2131 "configure"
  #include "confdefs.h"
  
  #include <sys/types.h>
--- 2400,2406 ----
  
  echo $ac_n "checking "whether we need extern int errno"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2404 "configure"
  #include "confdefs.h"
  
  #include <sys/types.h>
***************
*** 2198,2204 ****
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 2202 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <signal.h>
--- 2471,2477 ----
    echo $ac_n "(cached) $ac_c" 1>&4
  else
    cat > conftest.$ac_ext <<EOF
! #line 2475 "configure"
  #include "confdefs.h"
  #include <sys/types.h>
  #include <signal.h>
***************
*** 2232,2238 ****
    echo "$ac_t"""assuming Posix signals"" 1>&4
  else
  cat > conftest.$ac_ext <<EOF
! #line 2236 "configure"
  #include "confdefs.h"
  
  #include <stdio.h>
--- 2505,2511 ----
    echo "$ac_t"""assuming Posix signals"" 1>&4
  else
  cat > conftest.$ac_ext <<EOF
! #line 2509 "configure"
  #include "confdefs.h"
  
  #include <stdio.h>
***************
*** 2272,2278 ****
    true
  else
  cat > conftest.$ac_ext <<EOF
! #line 2276 "configure"
  #include "confdefs.h"
  
  #ifdef TIME_WITH_SYS_TIME
--- 2545,2551 ----
    true
  else
  cat > conftest.$ac_ext <<EOF
! #line 2549 "configure"
  #include "confdefs.h"
  
  #ifdef TIME_WITH_SYS_TIME
***************
*** 2324,2330 ****
      CFLAGS="$CFLAGS -Werror"
  fi
  cat > conftest.$ac_ext <<EOF
! #line 2328 "configure"
  #include "confdefs.h"
  
  #include <sys/wait.h>
--- 2597,2603 ----
      CFLAGS="$CFLAGS -Werror"
  fi
  cat > conftest.$ac_ext <<EOF
! #line 2601 "configure"
  #include "confdefs.h"
  
  #include <sys/wait.h>
***************
*** 2353,2359 ****
  
  echo $ac_n "checking "for tagged lvalues"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2357 "configure"
  #include "confdefs.h"
  
  
--- 2626,2632 ----
  
  echo $ac_n "checking "for tagged lvalues"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2630 "configure"
  #include "confdefs.h"
  
  
***************
*** 2484,2490 ****
  
  echo $ac_n "checking "_data_start"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2488 "configure"
  #include "confdefs.h"
  extern int _data_start;
  int main() { return 0; }
--- 2757,2763 ----
  
  echo $ac_n "checking "_data_start"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2761 "configure"
  #include "confdefs.h"
  extern int _data_start;
  int main() { return 0; }
***************
*** 2508,2514 ****
  
  echo $ac_n "checking "_data"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2512 "configure"
  #include "confdefs.h"
  extern int _data;
  int main() { return 0; }
--- 2781,2787 ----
  
  echo $ac_n "checking "_data"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2785 "configure"
  #include "confdefs.h"
  extern int _data;
  int main() { return 0; }
***************
*** 2601,2607 ****
  	echo $ac_n "checking "what kind of static linking is required"""... $ac_c" 1>&4
  
  cat > conftest.$ac_ext <<EOF
! #line 2605 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
--- 2874,2880 ----
  	echo $ac_n "checking "what kind of static linking is required"""... $ac_c" 1>&4
  
  cat > conftest.$ac_ext <<EOF
! #line 2878 "configure"
  #include "confdefs.h"
  
  int main() { return 0; }
***************
*** 2633,2639 ****
  
  echo $ac_n "checking "foreign C-interface"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2637 "configure"
  #include "confdefs.h"
  
  #include <stdio.h>
--- 2906,2912 ----
  
  echo $ac_n "checking "foreign C-interface"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2910 "configure"
  #include "confdefs.h"
  
  #include <stdio.h>
***************
*** 2666,2672 ****
  
  if test "$ac_foreign" != "yes"; then
  cat > conftest.$ac_ext <<EOF
! #line 2670 "configure"
  #include "confdefs.h"
  
  #include <rld.h>
--- 2939,2945 ----
  
  if test "$ac_foreign" != "yes"; then
  cat > conftest.$ac_ext <<EOF
! #line 2943 "configure"
  #include "confdefs.h"
  
  #include <rld.h>
***************
*** 2721,2727 ****
  rm -rf conftest*
  echo $ac_n "checking "BSD a.out based loading"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2725 "configure"
  #include "confdefs.h"
  
  #include <stdio.h>
--- 2994,3000 ----
  rm -rf conftest*
  echo $ac_n "checking "BSD a.out based loading"""... $ac_c" 1>&4
  cat > conftest.$ac_ext <<EOF
! #line 2998 "configure"
  #include "confdefs.h"
  
  #include <stdio.h>
diff -c -r +new-file src/configure.in src/configure.in
*** src/configure.in	Tue Apr 25 14:52:10 1995
--- src/configure.in	Wed Apr 26 15:30:07 1995
***************
*** 94,103 ****
  fi
  AC_CHECK_LIB(elf, main)
  AC_CHECK_LIB(m, main)
! AC_ARG_ENABLE(dlopen, [  --enable-dlopen	  Provide shared-lib interface],
  	      if test "$enableval" = "yes"; then
  		  AC_CHECK_LIB(dl, dlopen)
  	          AC_CHECK_FUNCS(dlopen)
  	      fi)
  
  echo "	LIBS=$LIBS"
--- 94,112 ----
  fi
  AC_CHECK_LIB(elf, main)
  AC_CHECK_LIB(m, main)
! AC_ARG_ENABLE(shared, [  --enable-shared	  Provide shared-lib interface],
  	      if test "$enableval" = "yes"; then
  		  AC_CHECK_LIB(dl, dlopen)
+ 	          AC_CHECK_LIB(dld, shl_load)
  	          AC_CHECK_FUNCS(dlopen)
+ 		  AC_CHECK_FUNCS(shl_load)
+ 	      fi)
+ AC_ARG_ENABLE(dlopen, [  --enable-dlopen	  Provide shared-lib interface (old)],
+ 	      if test "$enableval" = "yes"; then
+ 		  AC_CHECK_LIB(dl, dlopen)
+ 	          AC_CHECK_LIB(dld, shl_load)
+ 	          AC_CHECK_FUNCS(dlopen)
+ 		  AC_CHECK_FUNCS(shl_load)
  	      fi)
  
  echo "	LIBS=$LIBS"
diff -c -r +new-file src/pl-ext.c src/pl-ext.c
*** src/pl-ext.c	Tue Apr 18 14:29:12 1995
--- src/pl-ext.c	Wed Apr 26 15:30:08 1995
***************
*** 1,4 ****
! /*  pl-ext.c,v 1.31 1995/04/18 12:29:12 jan Exp
  
      Copyright (c) 1990 Jan Wielemaker. All rights reserved.
      See ../LICENCE to find out about your rights.
--- 1,4 ----
! /*  pl-ext.c,v 1.32 1995/04/26 13:30:08 jan Exp
  
      Copyright (c) 1990 Jan Wielemaker. All rights reserved.
      See ../LICENCE to find out about your rights.
***************
*** 268,274 ****
  #else
    ADD("$load_foreign",		5, pl_load_foreign,	TRANSPARENT|TRACE_ME),
  #endif
! #if HAVE_DLOPEN
    ADD("open_shared_object",	2, pl_open_shared_object,	TRACE_ME),
    ADD("close_shared_object",	1, pl_close_shared_object,	TRACE_ME),
    ADD("call_shared_object_function",
--- 268,274 ----
  #else
    ADD("$load_foreign",		5, pl_load_foreign,	TRANSPARENT|TRACE_ME),
  #endif
! #if defined(HAVE_DLOPEN) || defined(HAVE_SHL_LOAD)
    ADD("open_shared_object",	2, pl_open_shared_object,	TRACE_ME),
    ADD("close_shared_object",	1, pl_close_shared_object,	TRACE_ME),
    ADD("call_shared_object_function",
diff -c -r +new-file src/pl-incl.h src/pl-incl.h
*** src/pl-incl.h	Fri Apr 21 11:08:20 1995
--- src/pl-incl.h	Wed Apr 26 15:30:10 1995
***************
*** 1,4 ****
! /*  pl-incl.h,v 1.42 1995/04/21 09:08:20 jan Exp
  
      Copyright (c) 1990 Jan Wielemaker. All rights reserved.
      See ../LICENCE to find out about your rights.
--- 1,4 ----
! /*  pl-incl.h,v 1.43 1995/04/26 13:30:10 jan Exp
  
      Copyright (c) 1990 Jan Wielemaker. All rights reserved.
      See ../LICENCE to find out about your rights.
***************
*** 857,863 ****
  #    ifdef DATA_AT_0X2
  #      define PTR_TO_NUM_OFFSET	  0x20000000L
  #    else
! #      ifdef DATA_AT_OX1
  #        define PTR_TO_NUM_OFFSET 0x10000000L
  #      else
  #        define PTR_TO_NUM_OFFSET 0x0L
--- 857,863 ----
  #    ifdef DATA_AT_0X2
  #      define PTR_TO_NUM_OFFSET	  0x20000000L
  #    else
! #      ifdef DATA_AT_0X1
  #        define PTR_TO_NUM_OFFSET 0x10000000L
  #      else
  #        define PTR_TO_NUM_OFFSET 0x0L
diff -c -r +new-file src/pl-load.c src/pl-load.c
*** src/pl-load.c	Mon Apr 24 18:06:16 1995
--- src/pl-load.c	Wed Apr 26 15:30:11 1995
***************
*** 1,4 ****
! /*  pl-load.c,v 1.25 1995/04/24 16:06:16 jan Exp
  
      Copyright (c) 1990 Jan Wielemaker. All rights reserved.
      See ../LICENCE to find out about your rights.
--- 1,4 ----
! /*  pl-load.c,v 1.26 1995/04/26 13:30:11 jan Exp
  
      Copyright (c) 1990 Jan Wielemaker. All rights reserved.
      See ../LICENCE to find out about your rights.
***************
*** 804,812 ****
  		 *     DLOPEN() AND FRIENDS	*
  		 *******************************/
  
! #ifdef HAVE_DLOPEN
  
  #include <dlfcn.h>
  typedef int (*dl_funcptr)();
  
  typedef struct dl_entry *DlEntry;
--- 804,843 ----
  		 *     DLOPEN() AND FRIENDS	*
  		 *******************************/
  
! #ifdef HAVE_DLOPEN			/* sysvr4, elf binaries */
  
  #include <dlfcn.h>
+ 
+ #ifndef RTLD_GLOBAL			/* solaris defines this */
+ #define RTLD_GLOBAL 0
+ #endif
+ 
+ #endif HAVE_DLOPEN
+ 
+ #ifdef HAVE_SHL_LOAD			/* HPUX */
+ 
+ #include <dl.h>
+ #define dlopen(path, flags) shl_load((path), (flags), 0L)
+ #define dlclose(handle)	    shl_unload((handle))
+ #define dlerror() OsError()
+ 
+ void *
+ dlsym(shl_t handle, const char *name)
+ { void *value;
+ 
+   if ( shl_findsym(&handle, name, TYPE_PROCEDURE, &value) < 0 )
+     return NULL;
+ 
+   return value;
+ }
+ 
+ #define RTLD_LAZY	BIND_DEFERRED
+ #define RTLD_GLOBAL	0
+ 
+ #endif
+ 
+ #if defined(HAVE_DLOPEN) || defined(HAVE_SHL_LOAD)
+ 
  typedef int (*dl_funcptr)();
  
  typedef struct dl_entry *DlEntry;
***************
*** 820,829 ****
  int	dl_plid;			/* next id to give */
  DlEntry dl_head;			/* loaded DL's */
  DlEntry dl_tail;			/* end of this chain */
- 
- #ifndef RTLD_GLOBAL			/* solaris defines this */
- #define RTLD_GLOBAL 0
- #endif
  
  word
  pl_open_shared_object(Word file, Word plhandle)
--- 851,856 ----
diff -c -r +new-file src/pl-setup.c src/pl-setup.c
*** src/pl-setup.c	Tue Apr 18 14:29:41 1995
--- src/pl-setup.c	Wed Apr 26 15:30:13 1995
***************
*** 153,159 ****
  #if defined(O_FOREIGN) || defined(O_MACH_FOREIGN) || defined(O_AIX_FOREIGN)
    CSetFeature("load_foreign",  "true");
  #endif
! #ifdef HAVE_DLOPEN
    CSetFeature("open_shared_object", "true");
  #endif
  #ifdef O_DLL
--- 153,159 ----
  #if defined(O_FOREIGN) || defined(O_MACH_FOREIGN) || defined(O_AIX_FOREIGN)
    CSetFeature("load_foreign",  "true");
  #endif
! #if defined(HAVE_DLOPEN) || defined(HAVE_SLH_LOAD)
    CSetFeature("open_shared_object", "true");
  #endif
  #ifdef O_DLL
diff -c -r +new-file src/pl-stream.c src/pl-stream.c
*** src/pl-stream.c	Tue Apr 18 14:29:44 1995
--- src/pl-stream.c	Wed Apr 26 15:30:14 1995
***************
*** 1,4 ****
! /*  pl-stream.c,v 1.3 1995/04/18 12:29:44 jan Exp
  
      Copyright (c) 1990 Jan Wielemaker. All rights reserved.
      See ../LICENCE to find out about your rights.
--- 1,4 ----
! /*  pl-stream.c,v 1.4 1995/04/26 13:30:14 jan Exp
  
      Copyright (c) 1990 Jan Wielemaker. All rights reserved.
      See ../LICENCE to find out about your rights.
***************
*** 21,26 ****
--- 21,27 ----
  #define _MAKE_DLL
  #undef _export
  #include "pl-stream.h"
+ #include <sys/types.h>
  #include <errno.h>
  #ifdef HAVE_MALLOC_H
  #include <malloc.h>
diff -c -r +new-file src/pl-wic.c src/pl-wic.c
*** src/pl-wic.c	Tue Apr 18 14:29:51 1995
--- src/pl-wic.c	Wed Apr 26 15:30:16 1995
***************
*** 1,4 ****
! /*  pl-wic.c,v 1.28 1995/04/18 12:29:51 jan Exp
  
      Copyright (c) 1990 Jan Wielemaker. All rights reserved.
      See ../LICENCE to find out about your rights.
--- 1,4 ----
! /*  pl-wic.c,v 1.29 1995/04/26 13:30:16 jan Exp
  
      Copyright (c) 1990 Jan Wielemaker. All rights reserved.
      See ../LICENCE to find out about your rights.
***************
*** 1868,1874 ****
      clause = (Clause) numToPointer(*ref);
    
      if ( !inCore(clause) || !isClause(clause) )
!       return warning("$qlf_assert_claue/1: Invalid reference");
  
      if ( clause->procedure != currentProc )
      { closeProcedureWic(s);
--- 1868,1874 ----
      clause = (Clause) numToPointer(*ref);
    
      if ( !inCore(clause) || !isClause(clause) )
!       return warning("$qlf_assert_clause/1: Invalid reference");
  
      if ( clause->procedure != currentProc )
      { closeProcedureWic(s);
diff -c -r +new-file src/test/mmap.c src/test/mmap.c
*** src/test/mmap.c	Fri Feb 17 11:38:28 1995
--- src/test/mmap.c	Wed Apr 26 15:30:37 1995
***************
*** 1,4 ****
! /*  mmap.c,v 1.3 1995/02/17 10:38:28 jan Exp
  
      Designed and implemented by Jan Wielemaker
      E-mail: jan@swi.psy.uva.nl
--- 1,4 ----
! /*  mmap.c,v 1.4 1995/04/26 13:30:37 jan Exp
  
      Designed and implemented by Jan Wielemaker
      E-mail: jan@swi.psy.uva.nl
***************
*** 181,187 ****
      else if ( (low & 0xf0000000L) == 0x20000000L )
        seghigh = 0x40000000L;
      else if ( (low & 0xf0000000L) == 0x40000000L )
!       seghigh = 0x80000000L;
    } else
      seghigh = 0x20000000L;
  
--- 181,187 ----
      else if ( (low & 0xf0000000L) == 0x20000000L )
        seghigh = 0x40000000L;
      else if ( (low & 0xf0000000L) == 0x40000000L )
!       seghigh = 0x50000000L;
    } else
      seghigh = 0x20000000L;
  
